package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PegawaiHistoriPendidikan_T")
public class PegawaiHistoriPendidikan extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "pegawaiFk")
	@Caption(value="pegawaiFk")
	private Pegawai pegawai;

	@Column(name = "pegawaiFk", insertable=false,updatable=false,nullable=false)
	private Integer pegawaiId;

	@ManyToOne
	@JoinColumn(name = "strukHistoriFk")
	@Caption(value="strukHistoriFk")
	private StrukHistori strukHistori;

	@Column(name = "strukHistoriFk", insertable=false,updatable=false,nullable=false)
	private String strukHistoriId;

	@ManyToOne
	@JoinColumn(name = "pendidikanFk")
	@Caption(value="pendidikanFk")
	private Pendidikan pendidikan;

	@Column(name = "pendidikanFk", insertable=false,updatable=false,nullable=false)
	private Integer pendidikanId;
	
	@Column(name = "institusiPendidikan", nullable = true)
	@Caption(value = "institusiPendidikan")
	private String institusiPendidikan;

	@Column(name = "fakultasProgramKeahlian", nullable = true)
	@Caption(value = "fakultasProgramKeahlian")
	private String fakultasProgramKeahlian;

	@Column(name = "kualifikasiJurusan", nullable = true)
	@Caption(value = "kualifikasiJurusan")
	private String kualifikasiJurusan;

	@Column(name = "deskripsiDetailPendidikan", nullable = true)
	@Caption(value = "deskripsiDetailPendidikan")
	private String deskripsiDetailPendidikan;

	@Column(name = "kedudukanPeranan", nullable = true)
	@Caption(value = "kedudukanPeranan")
	private String kedudukanPeranan;

	@Column(name = "tglMasukMulai", nullable = true)
	@Caption(value = "tglMasukMulai")
	private Date tglMasukMulai;

	@Column(name = "tglLulusAkhir", nullable = true)
	@Caption(value = "tglLulusAkhir")
	private Date tglLulusAkhir;

	@Column(name = "judulTASkripsiTesisDisertasi", nullable = true)
	@Caption(value = "judulTASkripsiTesisDisertasi")
	private String judulTASkripsiTesisDisertasi;

	@Column(name = "ipkNilai", nullable = true)
	@Caption(value = "ipkNilai")
	private Double ipkNilai;

	@Column(name = "gradeKelulusan", nullable = true)
	@Caption(value = "gradeKelulusan")
	private String gradeKelulusan;

	@Column(name = "noIjazahSertifikat", nullable = true)
	@Caption(value = "noIjazahSertifikat")
	private String noIjazahSertifikat;

	@Column(name = "tglIjazahSertifikat", nullable = true)
	@Caption(value = "tglIjazahSertifikat")
	private Date tglIjazahSertifikat;

	@Column(name = "namaPegawaiTTIjazahSertifikat", nullable = true)
	@Caption(value = "namaPegawaiTTIjazahSertifikat")
	private String namaPegawaiTTIjazahSertifikat;
	
	@Column(name = "sumberBiayaPendidikan", nullable = true)
	@Caption(value = "sumberBiayaPendidikan")
	private String sumberBiayaPendidikan;

	@Column(name = "kepalaInstitusiPendidikan", nullable = true)
	@Caption(value = "kepalaInstitusiPendidikan")
	private String kepalaInstitusiPendidikan;

	@ManyToOne
	@JoinColumn(name = "alamatInstitusiPendidikanFk")
	@Caption(value="alamatInstitusiPendidikanFk")
	private Alamat alamatInstitusiPendidikan;

	@Column(name = "alamatInstitusiPendidikanFk", insertable=false,updatable=false,nullable=true)
	private Integer alamatInstitusiPendidikanId;
	
	@Column(name = "keteranganLainnya", nullable = true)
	@Caption(value = "keteranganLainnya")
	private String keteranganLainnya;

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public StrukHistori getStrukHistori() {
		return strukHistori;
	}

	public void setStrukHistori(StrukHistori strukHistori) {
		this.strukHistori = strukHistori;
	}

	public String getStrukHistoriId() {
		return strukHistoriId;
	}

	public void setStrukHistoriId(String strukHistoriId) {
		this.strukHistoriId = strukHistoriId;
	}

	public Pendidikan getPendidikan() {
		return pendidikan;
	}

	public void setPendidikan(Pendidikan pendidikan) {
		this.pendidikan = pendidikan;
	}

	public Integer getPendidikanId() {
		return pendidikanId;
	}

	public void setPendidikanId(Integer pendidikanId) {
		this.pendidikanId = pendidikanId;
	}

	public String getInstitusiPendidikan() {
		return institusiPendidikan;
	}

	public void setInstitusiPendidikan(String institusiPendidikan) {
		this.institusiPendidikan = institusiPendidikan;
	}

	public String getFakultasProgramKeahlian() {
		return fakultasProgramKeahlian;
	}

	public void setFakultasProgramKeahlian(String fakultasProgramKeahlian) {
		this.fakultasProgramKeahlian = fakultasProgramKeahlian;
	}

	public String getKualifikasiJurusan() {
		return kualifikasiJurusan;
	}

	public void setKualifikasiJurusan(String kualifikasiJurusan) {
		this.kualifikasiJurusan = kualifikasiJurusan;
	}

	public String getDeskripsiDetailPendidikan() {
		return deskripsiDetailPendidikan;
	}

	public void setDeskripsiDetailPendidikan(String deskripsiDetailPendidikan) {
		this.deskripsiDetailPendidikan = deskripsiDetailPendidikan;
	}

	public String getKedudukanPeranan() {
		return kedudukanPeranan;
	}

	public void setKedudukanPeranan(String kedudukanPeranan) {
		this.kedudukanPeranan = kedudukanPeranan;
	}

	public Date getTglMasukMulai() {
		return tglMasukMulai;
	}

	public void setTglMasukMulai(Date tglMasukMulai) {
		this.tglMasukMulai = tglMasukMulai;
	}

	public Date getTglLulusAkhir() {
		return tglLulusAkhir;
	}

	public void setTglLulusAkhir(Date tglLulusAkhir) {
		this.tglLulusAkhir = tglLulusAkhir;
	}

	public String getJudulTASkripsiTesisDisertasi() {
		return judulTASkripsiTesisDisertasi;
	}

	public void setJudulTASkripsiTesisDisertasi(String judulTASkripsiTesisDisertasi) {
		this.judulTASkripsiTesisDisertasi = judulTASkripsiTesisDisertasi;
	}

	public Double getIpkNilai() {
		return ipkNilai;
	}

	public void setIpkNilai(Double ipkNilai) {
		this.ipkNilai = ipkNilai;
	}

	public String getGradeKelulusan() {
		return gradeKelulusan;
	}

	public void setGradeKelulusan(String gradeKelulusan) {
		this.gradeKelulusan = gradeKelulusan;
	}

	public String getNoIjazahSertifikat() {
		return noIjazahSertifikat;
	}

	public void setNoIjazahSertifikat(String noIjazahSertifikat) {
		this.noIjazahSertifikat = noIjazahSertifikat;
	}

	public Date getTglIjazahSertifikat() {
		return tglIjazahSertifikat;
	}

	public void setTglIjazahSertifikat(Date tglIjazahSertifikat) {
		this.tglIjazahSertifikat = tglIjazahSertifikat;
	}

	public String getNamaPegawaiTTIjazahSertifikat() {
		return namaPegawaiTTIjazahSertifikat;
	}

	public void setNamaPegawaiTTIjazahSertifikat(String namaPegawaiTTIjazahSertifikat) {
		this.namaPegawaiTTIjazahSertifikat = namaPegawaiTTIjazahSertifikat;
	}

	public String getSumberBiayaPendidikan() {
		return sumberBiayaPendidikan;
	}

	public void setSumberBiayaPendidikan(String sumberBiayaPendidikan) {
		this.sumberBiayaPendidikan = sumberBiayaPendidikan;
	}

	public String getKepalaInstitusiPendidikan() {
		return kepalaInstitusiPendidikan;
	}

	public void setKepalaInstitusiPendidikan(String kepalaInstitusiPendidikan) {
		this.kepalaInstitusiPendidikan = kepalaInstitusiPendidikan;
	}

	public Alamat getAlamatInstitusiPendidikan() {
		return alamatInstitusiPendidikan;
	}

	public void setAlamatInstitusiPendidikan(Alamat alamatInstitusiPendidikan) {
		this.alamatInstitusiPendidikan = alamatInstitusiPendidikan;
	}

	public Integer getAlamatInstitusiPendidikanId() {
		return alamatInstitusiPendidikanId;
	}

	public void setAlamatInstitusiPendidikanId(Integer alamatInstitusiPendidikanId) {
		this.alamatInstitusiPendidikanId = alamatInstitusiPendidikanId;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

}
